WebAPI.Host (3.0)
Download OpenAPI description
Languages
Servers
Mock server
https://{{your_venus_webapi_ip_address}}/
Body
- application/json; x-api-version=3.0
- text/json; x-api-version=3.0
- application/*+json; x-api-version=3.0
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/export-diagnostic-files
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/export-diagnostic-files' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json; x-api-version=3.0' \
-d '{
"methodPath": "string",
"runGuid": "string",
"filePath": "string",
"exportMethod": true,
"exportCommTrace": true,
"exportVenusLogs": true
}'Response
{ "result": true, "message": "string", "resetRunExec": true }
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/runtime-data
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/runtime-data?filter=true&fromDate=2019-08-24T14%3A15%3A22Z&toDate=2019-08-24T14%3A15%3A22Z' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{ "files": [ { … } ] }
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/detailed-run-data/{runtimeGuid}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/detailed-run-data/{runtimeGuid}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json; x-api-version=3.0
{ "methodName": "string", "dbFileName": "string", "runGuid": "string", "startTime": "2025-07-17T21:40:15.402Z", "endTime": "2025-07-17T21:40:15.402Z", "computerName": "string", "runState": "string", "duration": 0, "userName": "string", "instruments": [ { … } ] }